Search documentation of stripe_elixir

# StripeElixir.Services.Climate.SupplierService (stripe_elixir v0.1.0)

Copy Markdown View Source

ClimateRemovalsSuppliers

A supplier of carbon removal.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List suppliers

retrieve(client, supplier, params \\ %{}, opts \\ [])

Retrieve a supplier

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List suppliers

Lists all available Climate supplier objects.

# retrieve(client, supplier, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a supplier

Retrieves a Climate supplier object.